# Created by pyp2rpm-3.3.2
%global pypi_name pyro4

Name:           python-%{pypi_name}
Version:        4.74
Release:        3%{?dist}
Summary:        distributed object middleware for Python (RPC)

License:        MIT
URL:            http://pyro4.readthedocs.io
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/Pyro4-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:	python(abi) = 2.7
BuildRequires:  python2-devel
BuildRequires:  python2-selectors34
BuildRequires:  python2-serpent >= 1.27
BuildRequires:  python2-setuptools
BuildRequires:  python2-sphinx
BuildRequires:	python-pip

%(pip install --user setuptools --upgrade > /dev/null)

%description
Pyro means PYthon Remote Objects. It is a library that enables you to build
applications in which objects can talk to eachother over the network, with
minimal programming effort. You can just use normal Python method calls, with
almost every possible parameter and return value type, and Pyro takes care of
locating the right object on the right computer to execute the method. It is
designed to...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2-selectors34
Requires:       python2-serpent
Requires:       python2-setuptools
%description -n python2-%{pypi_name}
Pyro means PYthon Remote Objects. It is a library that enables you to build
applications in which objects can talk to eachother over the network, with
minimal programming effort. You can just use normal Python method calls, with
almost every possible parameter and return value type, and Pyro takes care of
locating the right object on the right computer to execute the method. It is
designed to...

%package -n python-%{pypi_name}-doc
Summary:        pyro4 documentation
%description -n python-%{pypi_name}-doc
Documentation for pyro4

%prep
%autosetup -n Pyro4-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
# generate html docs 
#PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
#rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
%{__python2} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE docs/source/license.rst
%doc README.md examples/async/Readme.txt examples/attributes/Readme.txt examples/autoproxy/Readme.txt examples/autoreconnect/Readme.txt examples/autoretry/Readme.txt examples/banks/Readme.txt examples/batchedcalls/Readme.txt examples/benchmark/Readme.txt examples/blob-dispatch/Readme.txt examples/callback/Readme.txt examples/callcontext/Readme.txt examples/chatbox/Readme.txt examples/circular/Readme.txt examples/deadlock/Readme.txt examples/diffie-hellman/Readme.txt examples/disconnects/Readme.txt examples/distributed-computing/Readme.txt examples/distributed-computing2/Readme.txt examples/distributed-computing3/Readme.txt examples/distributed-mandelbrot/Readme.txt examples/echoserver/Readme.txt examples/eventloop/Readme.txt examples/exceptions/Readme.txt examples/extended-pickle/Readme.txt examples/filetransfer/Readme.txt examples/flame/Readme.txt examples/futures/Readme.txt examples/gui_eventloop/Readme.txt examples/handshake/Readme.txt examples/http/Readme.txt examples/hugetransfer/Readme.txt examples/instancemode/Readme.txt examples/itunes/Readme.txt examples/maxsize/Readme.txt examples/messagebus/Readme.txt examples/nameserverstress/Readme.txt examples/nonameserver/Readme.txt examples/ns-metadata/Readme.txt examples/oneway/Readme.txt examples/proxysharing/Readme.txt examples/resourcetracking/Readme.txt examples/robots/Readme.txt examples/ser_custom/Readme.txt examples/servertypes/Readme.txt examples/shoppingcart/Readme.txt examples/socketpair/readme.txt examples/ssl/Readme.txt examples/stockquotes/Readme.txt examples/stockquotes-old/Readme.txt examples/streaming/Readme.txt examples/thirdpartylib/Readme.txt examples/timeout/Readme.txt examples/timezones/Readme.txt examples/unixdomainsock/Readme.txt examples/usersession/Readme.txt examples/warehouse/Readme.txt
%{_bindir}/pyro4-check-config
%{_bindir}/pyro4-flameserver
%{_bindir}/pyro4-httpgateway
%{_bindir}/pyro4-ns
%{_bindir}/pyro4-nsc
%{_bindir}/pyro4-test-echoserver
%{python2_sitelib}/Pyro4
%{python2_sitelib}/Pyro4-4.74-py2.7.egg-info

%files -n python-%{pypi_name}-doc
#%doc html
%license LICENSE docs/source/license.rst

%changelog
* Tue Nov 20 2018 Cloud User - 4.74-1
- Initial package.
